ServerEvents.recipes((event) => {
  const greg = event.recipes.gtceu;
  event.remove({ id: "projecte:dark_matter" });
  // collectors
  greg
    .assembler("projectexpansion:basic_collector")
    .itemInputs("8x minecraft:glowstone")
    .itemInputs("projecte:aeternalis_fuel_block")
    .itemInputs("minecraft:blast_furnace")
    .itemInputs("4x minecraft:glass_pane")
    .itemOutputs("projectexpansion:basic_collector")
    .duration(200)
    .EUt(32);
	
  greg
    .assembler("projectexpansion:dark_collector")
    .itemInputs("8x minecraft:glowstone")
    .itemInputs("projectexpansion:basic_collector")
    .itemInputs("projecte:dark_matter")
    .itemInputs("4x minecraft:glass_pane")
    .itemOutputs("projectexpansion:dark_collector")
    .duration(200)
    .EUt(128);
	
  greg
    .assembler("projectexpansion:red_collector")
    .itemInputs("8x minecraft:glowstone")
    .itemInputs("projectexpansion:dark_collector")
    .itemInputs("projecte:red_matter")
    .itemInputs("4x minecraft:glass_pane")
    .itemOutputs("projectexpansion:red_collector")
    .duration(200)
    .EUt(512);
	
  greg
    .assembler("projectexpansion:magenta_collector")
    .itemInputs("8x minecraft:glowstone")
    .itemInputs("projectexpansion:red_collector")
    .itemInputs("projectexpansion:magenta_matter")
    .itemInputs("4x minecraft:glass_pane")
    .itemOutputs("projectexpansion:magenta_collector")
    .duration(200)
    .EUt(32768);
	
  greg
    .assembler("projectexpansion:pink_collector")
    .itemInputs("8x minecraft:glowstone")
    .itemInputs("projectexpansion:magenta_collector")
    .itemInputs("projectexpansion:pink_matter")
    .itemInputs("4x minecraft:glass_pane")
    .itemOutputs("projectexpansion:pink_collector")
    .duration(200)
    .EUt(131072);
	
  greg
    .assembler("projectexpansion:purple_collector")
    .itemInputs("8x minecraft:glowstone")
    .itemInputs("projectexpansion:pink_collector")
    .itemInputs("projectexpansion:purple_matter")
    .itemInputs("4x minecraft:glass_pane")
    .itemOutputs("projectexpansion:purple_collector")
    .duration(200)
    .EUt(524288);
  // matter
  
  
  
  greg
    .assembler("projectexpansion:basic_relay")
    .itemInputs("8x minecraft:obsidian")
    .itemInputs("projecte:aeternalis_fuel_block")
    .itemInputs("minecraft:blast_furnace")
    .itemInputs("4x minecraft:glass_pane")
    .itemOutputs("projectexpansion:basic_relay")
    .duration(200)
    .EUt(32);
	
  greg
    .assembler("projectexpansion:dark_relay")
    .itemInputs("8x minecraft:obsidian")
    .itemInputs("projectexpansion:basic_relay")
    .itemInputs("projecte:dark_matter")
    .itemInputs("4x minecraft:glass_pane")
    .itemOutputs("projectexpansion:dark_relay")
    .duration(200)
    .EUt(128);
	
  greg
    .assembler("projectexpansion:red_relay")
    .itemInputs("8x minecraft:obsidian")
    .itemInputs("projectexpansion:dark_relay")
    .itemInputs("projecte:red_matter")
    .itemInputs("4x minecraft:glass_pane")
    .itemOutputs("projectexpansion:red_relay")
    .duration(200)
    .EUt(512);
	
  greg
    .assembler("projectexpansion:magenta_relay")
    .itemInputs("8x minecraft:obsidian")
    .itemInputs("projectexpansion:red_relay")
    .itemInputs("projectexpansion:magenta_matter")
    .itemInputs("4x minecraft:glass_pane")
    .itemOutputs("projectexpansion:magenta_relay")
    .duration(200)
    .EUt(32768);
	
  greg
    .assembler("projectexpansion:pink_relay")
    .itemInputs("8x minecraft:obsidian")
    .itemInputs("projectexpansion:magenta_relay")
    .itemInputs("projectexpansion:pink_matter")
    .itemInputs("4x minecraft:glass_pane")
    .itemOutputs("projectexpansion:pink_relay")
    .duration(200)
    .EUt(131072);
	
  greg
    .assembler("projectexpansion:purple_relay")
    .itemInputs("8x minecraft:obsidian")
    .itemInputs("projectexpansion:pink_relay")
    .itemInputs("projectexpansion:purple_matter")
    .itemInputs("4x minecraft:glass_pane")
    .itemOutputs("projectexpansion:purple_relay")
    .duration(200)
    .EUt(524288);
	//compressed collectors
	
	
	
  greg
    .compressor("projectexpansion:basic_compressed_collector")
    .itemInputs("9x projectexpansion:basic_collector")
    .itemOutputs("projectexpansion:basic_compressed_collector")
    .duration(200)
    .EUt(32);
	
  greg
    .compressor("projectexpansion:dark_compressed_collector")
    .itemInputs("9x projectexpansion:dark_collector")
    .itemOutputs("projectexpansion:dark_compressed_collector")
    .duration(200)
    .EUt(128);
	
  greg
    .compressor("projectexpansion:red_compressed_collector")
    .itemInputs("9x projectexpansion:red_collector")
    .itemOutputs("projectexpansion:red_compressed_collector")
    .duration(200)
    .EUt(512);
	
  greg
    .compressor("projectexpansion:magenta_compressed_collector")
    .itemInputs("9x projectexpansion:magenta_collector")
    .itemOutputs("projectexpansion:magenta_compressed_collector")
    .duration(200)
    .EUt(32768);
	
  greg
    .compressor("projectexpansion:pink_compressed_collector")
    .itemInputs("9x projectexpansion:pink_collector")
    .itemOutputs("projectexpansion:pink_compressed_collector")
    .duration(200)
    .EUt(131072);
	
  greg
    .compressor("projectexpansion:purple_compressed_collector")
    .itemInputs("9x projectexpansion:purple_collector")
    .itemOutputs("projectexpansion:purple_compressed_collector")
    .duration(200)
    .EUt(524288);
});
